Project

General

Profile

Feature #15518

Upgrade tor to 0.3.3

Added by intrigeri over 1 year ago. Updated about 1 year ago.

Status:
Resolved
Priority:
Normal
Assignee:
-
Category:
-
Target version:
Start date:
04/10/2018
Due date:
% Done:

100%

Feature Branch:
Type of work:
Test
Blueprint:
Starter:
Affected tool:

Description

"Apr 15, 2018 -- 0.3.3.x stable is supposed to be ready!"


Related issues

Blocks Tails - Feature #15139: Core work 2018Q2: Foundations Team Resolved 01/01/2018

History

#1 Updated by intrigeri over 1 year ago

#2 Updated by intrigeri over 1 year ago

  • Assignee set to intrigeri
  • Type of work changed from Code to Research

During the 3.7 dev cycle we need to:

  1. ensure our devel branch still works fine once it gets tor 0.3.3 (as soon as it lands in deb http://deb.torproject.org/torproject.org stretch main)
  2. decide whether we want to upgrade in Tails 3.7, 3.8 or 3.9

#3 Updated by intrigeri over 1 year ago

  • Target version changed from Tails_3.7 to Tails_3.8

It's not out yet => postponing.

#4 Updated by intrigeri over 1 year ago

Our devel branch (or rather, the devel-based branch that builds: #15616) now has 0.3.3.6-1~d90.stretch+1. The (partial) test suite passes on Jenkins but I should run the full test suite.

#5 Updated by intrigeri over 1 year ago

  • Status changed from Confirmed to Fix committed
  • Assignee deleted (intrigeri)
  • Target version changed from Tails_3.8 to Tails_3.9
  • % Done changed from 0 to 100
  • Type of work changed from Research to Test

Full test suite passed on first try except:

  • "Additional software packages ǂ Additional software packages are installed even without network" → never seen it pass here (yes, I know, I should debug this and file a ticket)
  • in "Electrum Bitcoin client ǂ Using a persistent Electrum configuration", "Electrum successfully connects to the network" failed → probably a transient network problem, tested manually and it worked just fine

So we're good for 3.9 :)

Regarding "decide whether we want to upgrade in Tails 3.7, 3.8 or 3.9", I see no strong reason to take the risk of regressions in 3.8 (nor to do the additional work required to upgrade in that bugfix release) so let's wait for Tails 3.9.

#6 Updated by intrigeri about 1 year ago

  • Status changed from Fix committed to Resolved

Also available in: Atom PDF